import { IMatrix } from "./IMatrix";
import { IActivity } from "./IActivity";
import { IDeviceButton } from "./IDeviceButton";

export interface IControlUnit {
    DisplayName: string;
    Activities: Array<IActivity>;
}

export interface IConfig {
    hubIp: string;
    EmitDevicesOnStartup: boolean,
    Matrix: IMatrix
    ControlUnits: Array<IControlUnit>
    DeviceButtons: Array<IDeviceButton>
}